//
// 1Sheeld, IR-Remote mit Keypad
//
// Sender (IR LED)
// Pin 3


#include <OneSheeld.h>
#include <IRremote.h>

IRsend irsend;

int ledPin = 13;

void setup() 
{
  OneSheeld.begin();
  pinMode(ledPin,OUTPUT);
}

void loop()
{  
  // Taste 1
  if(Keypad.isRowPressed(0) && Keypad.isColumnPressed(0))
  {
    digitalWrite(ledPin,HIGH);
    irsend.sendNEC(0x41038C7, 32);
  }
  
  // Taste 2
  else if(Keypad.isRowPressed(0) && Keypad.isColumnPressed(1))
  {
    digitalWrite(ledPin,HIGH);
    irsend.sendNEC(0x410B847, 32);
  }
  // Taste 3
   else if(Keypad.isRowPressed(0) && Keypad.isColumnPressed(2))
  {
    digitalWrite(ledPin,HIGH);
    irsend.sendNEC(0x4107887, 32);
  }
  // Taste 4
   else if(Keypad.isRowPressed(1) && Keypad.isColumnPressed(0))
  {
    digitalWrite(ledPin,HIGH);
    irsend.sendNEC(0x41002FD, 32);
  }
  // Taste 5
  else if(Keypad.isRowPressed(1) && Keypad.isColumnPressed(1))
  {
    digitalWrite(ledPin,HIGH);
    irsend.sendNEC(0x410827D, 32);
  }
  // Taste 6
  else if(Keypad.isRowPressed(1) && Keypad.isColumnPressed(2))
  {
    digitalWrite(ledPin,HIGH);
    irsend.sendNEC(0x41042BD, 32);
  }
  // Taste 7
  else if(Keypad.isRowPressed(2) && Keypad.isColumnPressed(0))
  {
    digitalWrite(ledPin,HIGH);
    irsend.sendNEC(0x41022DD, 32);
  }
  // Taste 8
  else if(Keypad.isRowPressed(2) && Keypad.isColumnPressed(1))
  {
    digitalWrite(ledPin,HIGH);
    irsend.sendNEC(0x410A25D, 32);
  }
  // Taste 9
  else if(Keypad.isRowPressed(2) && Keypad.isColumnPressed(2))
  {
    digitalWrite(ledPin,HIGH);
    irsend.sendNEC(0x410629D, 32);
  }
  // Taste 0
  else if(Keypad.isRowPressed(3) && Keypad.isColumnPressed(1))
  {
    digitalWrite(ledPin,HIGH);
    irsend.sendNEC(0x410E21D, 32);
  }

  else
  {
    digitalWrite(ledPin,LOW);
  }
}
