//
// Klopf-Sensor mit Piezo
//

int PinLED   = 13;
int PinSensor = 0;
 
int valSensor=0;
int valSensorSchwelle=5;
// Status der LED
int ledState=LOW;    

  
void setup () 
{
  // Ausgang LED  
  pinMode (PinLED, OUTPUT);
  // Serielle Schnittstelle
  Serial.begin(9600);
  Serial.print("Klopf-Sensor...");
}

 
void loop () 
{
  // Klopfsignal messen
  valSensor = analogRead(PinSensor);

  // Ausgabe Klopfwert
  Serial.print("Sensor Wert: ");
  Serial.println(valSensor);
   
  // Prüfen, ob Schwellenwert erreicht 
  if (valSensor >= valSensorSchwelle)
  {
    // LED-Zustand umkehren
    ledState = !ledState; 
        
    digitalWrite(PinLED, ledState);
 
    Serial.println("Knock, Knock...");  
    // Pause für Piezo-Sensor 
    delay(50); 
  }
  delay(100);
}
