//
// Spannungsmessung (0 bis 5 V)
// Datei: buch_sensor_kap_messung_spannung.ino


// Analogwert    
int valU = 0;
float valUVolt;
// Analogeingang A0
int UPin = 0;   

void setup() 
{
  // Serielle Schnittstelle
  Serial.begin(9600); 
}

void loop() 
{
  // Spannungswert einlesen
  valU = analogRead(UPin);
  // Wert in Spannung umrechnen
  valUVolt = (5* valU)/1023.0;
  // Ausgabe des Werts auf der seriellen Schnittstelle 
  Serial.print("Spannung : ");
  Serial.print(valUVolt);
  Serial.println(" V");
  delay(1000);       
}

