//
// Energie-Monitor mit SCT-013-030
//

#include "EmonLib.h"


int PinStrom = 0;

// Instanz erstellen
EnergyMonitor emon1;

void setup()
{
  // Serielle Schnittstelle starten  
  Serial.begin(9600);
  // Konfiguration Sensor (Analog-Eingang, Kalibrierung)
  // Kalibrierung: Turn Ratio/Burden-Resistor = 1800 / 62 = 29
  emon1.current(PinStrom, 29);
}

void loop()
{
  // Messung Strom
  double Irms = emon1.calcIrms(1480);

  // Ausgabe auf serielle Schnittstelle
  // Strom in Ampere
  Serial.print(Irms);
  Serial.print(" A, ");
  // Leistung in Watt
  Serial.print(Irms*230.0);
  Serial.println(" W");
}
