//
// 1Sheeld - LED ansteuern
//
// Status: OK

/*

LED Shield Example

This example shows an application on 1Sheeld's LED shield.

By using this example, you can turn on control the app's
LED shield.

OPTIONAL:
To reduce the library compiled size and limit its memory usage, you
can specify which shields you want to include in your sketch by
defining CUSTOM_SETTINGS and the shields respective INCLUDE_ define. 

*/

#define CUSTOM_SETTINGS
#define INCLUDE_LED_SHIELD

#include <OneSheeld.h>

void setup()
{
  // Start 1Sheeld-Kommunikation
  OneSheeld.begin();
}

void loop() 
{
  // LED einschalten
  LED.setHigh();
  // 1 Sekunde warten
  OneSheeld.delay(1000);
  // LED ausschalten
  LED.setLow();
  // 1 Sekunde warten
  OneSheeld.delay(1000);
}
