//
// Analogwert-Monitor mit RGB
// Datei: buch_sensor_kap13_rgb_monitor.ino
// Datum: 18.09.16
//
// Status: OK


int color=12;
int colorValue=3;

int redPin = 9;
int greenPin = 10;
int bluePin = 11;

int TempPin = 0;

int valA0=0;
int valAmap=0;
 
int ledRGB[12][3] = {   
  {255, 0, 0}, 
  {255, 127, 0}, 
  {255, 255, 0},
  {127, 255, 0},
  {0, 255, 0},
  {0, 255, 127},
  {0, 255, 255},
  {0, 127, 255},
  {0, 0, 255},
  {127, 0, 255},
  {255, 0, 255},
  {255, 0, 127}
  };
 
void setup() 
{
  pinMode(redPin, OUTPUT);
  pinMode(greenPin, OUTPUT);
  pinMode(bluePin, OUTPUT);
  Serial.begin(9600);
  Serial.print("RGB Matrix..");
} 

 
void loop()
{
  // Analogwert einlesen
  valA0=analogRead(TempPin);
  valAmap=map(valA0, 0, 1023, 0, 11);
  // Werte RGB Color
  // LED rot
  int colR=ledRGB[valAmap][0];
  // LED grün
  int colG=ledRGB[valAmap][1];
  // LED blau
  int colB=ledRGB[valAmap][2];
  // Ausgabe Wert
  Serial.println(valAmap);
  // Ansteuerung RGB
  setColor(colR, colG, colB);
  delay(50);
}

void setColor(int red, int green, int blue)
{
  red=255-red;
  green=255-green;
  blue=255-blue;
  analogWrite(redPin, red);
  analogWrite(greenPin, green);
  analogWrite(bluePin, blue);
}
