//
// Seriell Senden mit 433MHz
//

#include <VirtualWire.h>

// Sender Pin (PWM)
int TX_PIN = 11;
// ID Sender
int TX_ID = 3;

// Daten als Struct
typedef struct txData
{
int TX_ID;
int Data1;
int Data2;
int VBat;
};

void setup() 
{
  Serial.begin(9600);
  vw_setup(2000);
  vw_set_tx_pin(TX_PIN);
}


void loop()
{
  // Daten zu senden
  struct txData payload;
  // Adresse des Senders
  payload.TX_ID = TX_ID;
  payload.Data1 =111;
  payload.Data2 =222;
  payload.VBat=3300;
  // Daten senden
  vw_send((uint8_t *)&payload, sizeof(payload));
  vw_wait_tx();
}


